# Copyright 2005-2007, Google, Inc.

# This software is provided as an example of using the Ruby interface
# to SketchUp.
# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is hereby granted, provided that the above
# copyright notice appear in all copies.
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------
require 'sketchup.rb'
#UI.toolbar_names.each{|n| UI.set_toolbar_visible(n, false) }#Alle eingebauten Toolbars zeigen
#UI.toolbar_names.each{UI.set_toolbar_visible("Layer", true) }
#UI.toolbar_names.each{UI.set_toolbar_visible("Drawing", false) }
#load 'MyToolbars/Skripts/as_plugins/as_rubyeditor/as_rubyeditor.rb'
  
tb1=UI::Toolbar.new("Konstruktion")
 tb1.show
 tb1.restore if tb1.get_last_state==TB_VISIBLE
tb2= UI::Toolbar.new("Bearbeiten")
 tb2.show
 tb2.restore if tb2.get_last_state==TB_VISIBLE
tb3= UI::Toolbar.new("Text")
 tb3.show
 tb3.restore if tb3.get_last_state==TB_VISIBLE
tb4= UI::Toolbar.new("Zeichnen")
 tb4.show
 tb4.restore if tb4.get_last_state==TB_VISIBLE
tb5= UI::Toolbar.new("Ansicht")
 tb5.show
 tb5.restore if tb5.get_last_state==TB_VISIBLE
#tb6=  UI::Toolbar.new "Messen"
# tb6.show
# tb6.restore if tb6.get_last_state==TB_VISIBLE

unless file_loaded?("MyToolbars.rb")

#load 'MyToolbars/Skripts/LIBFREDO6_Dir_34/Lib6Traductor.rb'
#Um einen Befehl auf eienr Toolbar abzuwhlen, an den Anfang der Zeile ein "#" setzen
#Konstruktion ja

		load 'MyToolbars/Skripts/dimension.rb'
		load 'MyToolbars/Skripts/dim_angle.rb'
		load 'MyToolbars/Skripts/tape.rb'
		UI.toolbar("Konstruktion").add_separator
		load 'MyToolbars/Skripts/Grid3Points.rb'
		load 'MyToolbars/Skripts/protractor.rb'
		load 'MyToolbars/Skripts/MidpointArc.rb'
#		UI.toolbar("Konstruktion").add_separator
#		load 'MyToolbars/Skripts/AddCPoint.rb'
#		load 'MyToolbars/Skripts/clinetool.rb'
#		UI.toolbar("Konstruktion").add_separator
#		load 'MyToolbars/Skripts/midpoint.rb'
#		load 'MyToolbars/Skripts/MidpointArc.rb'
#		load 'MyToolbars/Skripts/Midpoints.rb'

#		load 'MyToolbars/Skripts/prefsShortcuts.rb'
#		load 'MyToolbars/Skripts/info.rb'
#		UI.toolbar("Konstruktion").add_separator
		
#Bearbeiten ja

		load 'MyToolbars/Skripts/select.rb'
		load 'MyToolbars/Skripts/SelectionHideShow.rb'
		load 'MyToolbars/Skripts/tt_groups2comps.rb'
		load 'MyToolbars/Skripts/makeComponent.rb'
		load 'MyToolbars/Skripts/ungroup.rb'
		UI.toolbar("Bearbeiten").add_separator
		load 'MyToolbars/Skripts/section.rb'
#		load 'MyToolbars/Skripts/move.rb'
#		load 'MyToolbars/Skripts/mirror.rb'
		load 'MyToolbars/Skripts/FreeRotate.rb'
		UI.toolbar("Bearbeiten").add_separator
		load 'MyToolbars/Skripts/A4_smartpushpull.rb'
		load 'MyToolbars/Skripts/followme.rb'
		load 'MyToolbars/Skripts/offset.rb'
		load 'MyToolbars/Skripts/divide_cpoint.rb'
		UI.toolbar("Bearbeiten").add_separator
		load 'MyToolbars/Skripts/SectionCutFace.rb'
#		load 'MyToolbars/Skripts/ChrisP_ColorEdge_DE_B.rb'
		
#Text ja

		load 'MyToolbars/Skripts/3dtext.rb'
		load 'MyToolbars/Skripts/text.rb'
		load 'MyToolbars/Skripts/find_and_replace_text.rb'
		
#Zeichnen ja
		load 'MyToolbars/Skripts/RotatedRectangle.rb'
		load 'MyToolbars/Skripts/polygon.rb'
		load 'MyToolbars/Skripts/k_tools_50.rb'
		load 'MyToolbars/Skripts/arc.rb'
		load 'MyToolbars/Skripts/freehand.rb'
		load 'MyToolbars/Skripts/helix.rb'
#		UI.toolbar("Zeichnen").add_separator
# 		load 'MyToolbars/Skripts/cd_draw_extension.rb'
 		load 'MyToolbars/Skripts/sphere.rb'
 		load 'MyToolbars/Skripts/dome.rb'
		UI.toolbar("Zeichnen").add_separator
		load 'MyToolbars/Skripts/ChrisP_ColorEdge_DE_Z.rb'
#		load 'MyToolbars/Skripts/polarline.rb'
 		
#Ansicht ja

		load 'MyToolbars/Skripts/walk.rb'
		load 'MyToolbars/Skripts/look.rb'
		load 'MyToolbars/Skripts/CameraPosition.rb'
		load 'MyToolbars/Skripts/zoomwindow.rb'
		load 'MyToolbars/Skripts/zoomextents.rb'
		load 'MyToolbars/Skripts/centerSelection.rb'
#		UI.toolbar("Ansicht").add_separator		
		load 'MyToolbars/Skripts/toggleGuides.rb'
		load 'MyToolbars/Skripts/toggleColorByLayer.rb'
		load 'MyToolbars/Skripts/toggleAxisEdge.rb'
#		UI.toolbar("Ansicht").add_separator
		load 'MyToolbars/Skripts/viewiso.rb'
		load 'MyToolbars/Skripts/toggleperspective.rb'
		load 'MyToolbars/Skripts/toggleXray.rb'
		load 'MyToolbars/Skripts/parametric.rb'
		load 'MyToolbars/Skripts/XRaySel.rb'
		load 'MyToolbars/Skripts/togglecolorbylayer.rb'
		UI.toolbar("Ansicht").add_separator
		load 'MyToolbars/Skripts/ShowOrNot.rb'
		load 'MyToolbars/Skripts/LayersShow.rb'
		load 'MyToolbars/Skripts/MoveTextDimToLayer.rb'
#		load 'MyToolbars/Skripts/orbit.rb'
#		load 'MyToolbars/Skripts/OrbitCenterNew.rb'
#		UI.toolbar("Ansicht").add_separator

#Messen nein

#		load 'MyToolbars/Skripts/prefsShortcuts.rb'
#		load 'MyToolbars/Skripts/info.rb'
#		UI.toolbar("Messen").add_separator
#		load 'MyToolbars/Skripts/dimension.rb'
#		load 'MyToolbars/Skripts/dim_angle.rb'
#		load 'MyToolbars/Skripts/tape.rb'
#		UI.toolbar("Messen").add_separator
#		load 'MyToolbars/Skripts/Grid3Points.rb'
#		load 'MyToolbars/Skripts/protractor.rb'
#		load 'MyToolbars/Skripts/MidpointArc.rb'

#end		
file_loaded "MyToolbars.rb"
end